## pygments 2.11.2+dfsg

=== Makefile ===
#
# Makefile for Pygments
# ~~~~~~~~~~~~~~~~~~~~~
#
# Combines scripts for common tasks.
#
# :copyright: Copyright 2006-2021 by the Pygments team, see AUTHORS.
# :license: BSD, see LICENSE for details.
#

PYTHON ?= python3

export PYTHONPATH = $(shell echo "$$PYTHONPATH"):$(shell python -c 'import os; print ":".join(os.path.abspath(line.strip()) for line in file("PYTHONPATH"))' 2>/dev/null)

.PHONY: all check clean clean-pyc docs mapfiles \
	pylint reindent test test-coverage \
	tox-test tox-test-coverage regexlint

all: clean-pyc check test

check:
	@$(PYTHON) scripts/check_crlf.py pygments build external
	@$(PYTHON) scripts/detect_missing_analyse_text.py --skip-no-aliases
	@pyflakes pygments | grep -v 'but unused' || true
	@$(PYTHON) scripts/check_sources.py -i build -i dist -i pygments/lexers/_mapping.py \
		   -i docs/build -i pygments/formatters/_mapping.py -i pygments/unistring.py \
		   -i tests/support/empty.py
	@$(PYTHON) scripts/count_token_references.py --minfiles=1 --maxfiles=1 \
		   --minlines=1 --maxlines=3 --subtoken

clean: clean-pyc
	-rm -rf doc/_build build Pygments.egg-info
	-rm -f codetags.html

clean-pyc:
	find . -name '__pycache__' -exec rm -rf {} +

docs:
	make -C doc html

mapfiles:
	(cd pygments/formatters; $(PYTHON) _mapping.py)
	(cd pygments/lexers; $(PYTHON) _mapping.py)

pylint:
	@pylint --rcfile scripts/pylintrc pygments

reindent:
	@$(PYTHON) scripts/reindent.py -r -B .

TEST = tests

test:
	@$(PYTHON) `which pytest` $(TEST)

test-coverage:
	@$(PYTHON) `which pytest` --cov --cov-report=html --cov-report=term $(TEST)

tox-test:
	@tox -- $(TEST)

tox-test-coverage:
	@tox -- --with-coverage --cover-package=pygments --cover-erase $(TEST)

RLMODULES = pygments.lexers

regexlint:
	@if [ -z "$(REGEXLINT)" ]; then echo "Please set REGEXLINT=checkout path"; exit 1; fi
	PYTHONPATH=`pwd`:$(REGEXLINT) $(REGEXLINT)/regexlint/cmdline.py $(RLMODULES)

=== requirements.txt ===
pytest-cov
pytest-randomly
pytest>=6.0
pyflakes
pylint
tox
wcag-contrast-ratio
lxml

=== debian/changelog ===
pygments (2.11.2+dfsg-2ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Regex denial of service.
    - debian/patches/CVE-2022-40896.patch: Change Smithy metadata matcher in
      pygments/lexers/smithy.py.
    - CVE-2022-40896

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 22 Nov 2024 10:14:06 -0330

pygments (2.11.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * autopkgtest: Adjust B-D for autopkgtest

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 15 Feb 2022 12:37:08 +0100

pygments (2.11.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Add content to filter out
  * New upstream version 2.11.2+dfsg
  * d/control: Extend packages for Build-Depends
    - The new upstream version requires now python3-lxml and
      python3-wcag-contrast-ratio.
  * d/*control: Running wrap-and-sort -ast
    - No functional modifications.
  * Rebuild patch queue from patch-queue branch
    - Added patch:
      0002-pygments.bashcomp-Remove-hashbang-within-bash-comple.patch
  * d/copyright: Update copyright year
  * d/control: Remove obsolete Conflicts for python-pygments
  * d/python-pygments-doc.doc-base: Add new sequencer file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 14 Feb 2022 18:50:39 +0100

pygments (2.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release; Closes: #984625
  * debian/copyright
    - update upstream copyright notice
  * debian/patchees/
    - refresh patches, remove patches released upstream
  * debian/rules
    - exclude more tests that rely on example data that's removed
    - convert to dh sequence
  * debian/tests/python3-pygments
    - exclude more tests that rely on example data that's removed
  * debian/patches/0003-Update-change-docs-theme-patch.patch
    - drop patch, no longer needed
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Dec 2021 00:46:37 -0500

=== debian/control ===
Source: pygments
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-docutils,
 python3-jinja2,
 python3-lxml,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-wcag-contrast-ratio,
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: http://pygments.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pygments.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pygments

Package: python3-pygments
Architecture: all
Multi-Arch: foreign
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pygments-doc,
 ttf-bitstream-vera,
Breaks:
 python-pygments (<< 2.3.1+dfsg-4~),
Replaces:
 python-pygments (<< 2.3.1+dfsg-4~),
Description: syntax highlighting package written in Python 3
 Pygments aims to be a generic syntax highlighter for general use in all kinds
 of software such as forum systems, wikis or other applications that need to
 prettify source code.
 .
 Highlights are:
   * a wide range of common languages and markup formats is supported
   * special attention is paid to details, increasing quality by a fair amount
   * support for new languages and formats are added easily
   * a number of output formats, presently HTML, LaTeX and ANSI sequences
   * it is usable as a command-line tool and as a library

Package: python-pygments-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-pygments,
Description: documentation for the Pygments
 Pygments is syntax highlighting package.
 .
 This package contains the documentation for Pygments in HTML and
 reStructuredText format.

=== debian/tests/control ===
Tests: python3-pygments
Depends:
 python3-all,
 python3-lxml,
 python3-pygments,
 python3-pytest,
 python3-wcag-contrast-ratio,

## pygments 2.12.0+dfsg

=== debian/changelog ===
pygments (2.12.0+dfsg-2) unstable; urgency=medium

  * debian/control
    - remove debian/exp.. branch from Vcs fields
    - adjust pytest b-d versioned relationship
    - run wrap-and-sort -at

 -- Sandro Tosi <morph@debian.org>  Mon, 27 Jun 2022 21:34:45 -0400

pygments (2.12.0+dfsg-1) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Jun 2022 22:52:47 -0400

pygments (2.12.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload
  * d/gbp.conf: Adjust to debian/experimental
  * New upstream version 2.12.0+dfsg
  * d/control: Increase required version on package pytest
  * d/control: Bump Standards-Version to 4.6.1
  * d/control: Adjust VCS linking to debian/experimental
  * d/control: Use https within upstream URI
  * d/control: Sort binary packages alphabetical
  * d/python3-pygments.dirs: Ensure bash-completion folder exits
  * d/rules: Ignore bash-completion within python-pygments-doc

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Jun 2022 08:39:00 +0200

=== debian/control ===
Source: pygments
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
Build-Depends-Indep: dh-python,
                     python3-all,
                     python3-docutils,
                     python3-jinja2,
                     python3-lxml,
                     python3-pytest (>= 7) <!nocheck>,
                     python3-setuptools,
                     python3-sphinx,
                     python3-wcag-contrast-ratio,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://pygments.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pygments.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pygments

Package: python-pygments-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: python3-pygments,
Description: documentation for the Pygments
 Pygments is syntax highlighting package.
 .
 This package contains the documentation for Pygments in HTML and
 reStructuredText format.

Package: python3-pygments
Architecture: all
Multi-Arch: foreign
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-pygments-doc,
          ttf-bitstream-vera,
Breaks: python-pygments (<< 2.3.1+dfsg-4~),
Replaces: python-pygments (<< 2.3.1+dfsg-4~),
Description: syntax highlighting package written in Python 3
 Pygments aims to be a generic syntax highlighter for general use in all kinds
 of software such as forum systems, wikis or other applications that need to
 prettify source code.
 .
 Highlights are:
   * a wide range of common languages and markup formats is supported
   * special attention is paid to details, increasing quality by a fair amount
   * support for new languages and formats are added easily
   * a number of output formats, presently HTML, LaTeX and ANSI sequences
   * it is usable as a command-line tool and as a library

## pygments 2.14.0%2Bdfsg

=== debian/changelog ===
pygments (2.14.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.14.0+dfsg
  * d/copyright: Update year data
  * d/control: Bump Standards-Version to 4.6.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 07 Jan 2023 10:12:03 +0100

pygments (2.13.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Adjust back to debian/master
    In order to make things work as expected.
  * New upstream version 2.13.0+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 20 Nov 2022 17:35:38 +0100

## pygments 2.14.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 # Combines scripts for common tasks.
 #
-# :copyright: Copyright 2006-2021 by the Pygments team, see AUTHORS.
+# :copyright: Copyright 2006-2022 by the Pygments team, see AUTHORS.
 # :license: BSD, see LICENSE for details.
 #
 
@@ -39,8 +39,7 @@
 	make -C doc html
 
 mapfiles:
-	(cd pygments/formatters; $(PYTHON) _mapping.py)
-	(cd pygments/lexers; $(PYTHON) _mapping.py)
+	$(PYTHON) scripts/gen_mapfiles.py
 
 pylint:
 	@pylint --rcfile scripts/pylintrc pygments
@@ -51,10 +50,10 @@
 TEST = tests
 
 test:
-	@$(PYTHON) `which pytest` $(TEST)
+	@$(PYTHON) -m pytest $(TEST)
 
 test-coverage:
-	@$(PYTHON) `which pytest` --cov --cov-report=html --cov-report=term $(TEST)
+	@$(PYTHON) -m pytest --cov --cov-report=html --cov-report=term $(TEST)
 
 tox-test:
 	@tox -- $(TEST)
@@ -66,4 +65,4 @@
 
 regexlint:
 	@if [ -z "$(REGEXLINT)" ]; then echo "Please set REGEXLINT=checkout path"; exit 1; fi
-	PYTHONPATH=`pwd`:$(REGEXLINT) $(REGEXLINT)/regexlint/cmdline.py $(RLMODULES)
+	PYTHONPATH=`pwd`:$(REGEXLINT) $(PYTHON) $(REGEXLINT)/regexlint/cmdline.py $(RLMODULES)

=== requirements.txt ===
pytest-cov
pytest-randomly
pytest>=7.0
pyflakes
pylint
tox
wcag-contrast-ratio

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = PYTHONPATH=.. sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean pyodide html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  pyodide    to make Pyodide with currently checked out Pygments"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

pyodide:
	$(if $(test ! -f docker), $(error "Could not find Docker. Please install that before continuing."))
	# Enable the BuildKit backend to use the --output option.
	DOCKER_BUILDKIT=1 docker build --file pyodide/Dockerfile --output $(BUILDDIR)/pyodide/pyodide ..
	@echo
	@echo "Pyodide build finished. The Pyodide artifacts are in $(BUILDDIR)/pyodide."

html:
	$(if $(WEBSITE_BUILD), $(MAKE) pyodide)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(if $(WEBSITE_BUILD), $(MAKE) pyodide)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pygments.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pygments.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pygments"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pygments"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                      python3-setuptools,
                      python3-sphinx,
                      python3-wcag-contrast-ratio,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://pygments.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pygments.git

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/(beta|rc|a|b|c)/~$1/,\
repacksuffix=+dfsg \
https://pypi.debian.net/Pygments/Pygments-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pygments 2.15.1+dfsg

=== debian/changelog ===
pygments (2.15.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 19 Apr 2023 10:06:40 +0200

pygments (2.15.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 15 Apr 2023 15:01:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: dh-python,
-                     python3-all,
-                     python3-docutils,
-                     python3-jinja2,
-                     python3-lxml,
-                     python3-pytest (>= 7) <!nocheck>,
-                     python3-setuptools,
-                     python3-sphinx,
-                     python3-wcag-contrast-ratio,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-docutils,
+ python3-jinja2,
+ python3-lxml,
+ python3-pytest (>= 7) <!nocheck>,
+ python3-setuptools,
+ python3-sphinx,
+ python3-wcag-contrast-ratio,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://pygments.org/

## pygments 2.17.2+dfsg

=== debian/changelog ===
pygments (2.17.2+dfsg-1~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 05 Feb 2024 02:46:00 +0000

pygments (2.17.2+dfsg-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Find lower-cased sdists in watch file, upstream switched to hatchling.
  * Migrate build from setuptools to hatchling.
  * Disable lexer example inclusion in the documentation, as it isn't
    available.

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 02 Feb 2024 14:26:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-docutils,
+ python3-hatchling,
  python3-jinja2,
  python3-lxml,
  python3-pytest (>= 7) <!nocheck>,
- python3-setuptools,
  python3-sphinx,
  python3-wcag-contrast-ratio,
 Standards-Version: 4.6.2

## pygments 2.18.0%2Bdfsg

=== debian/changelog ===
pygments (2.18.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove depends on deprecated module python3-pkg-resources
    (Closese: #1083573, #693029)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 15:44:43 +0100

pygments (2.18.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 11 Jun 2024 09:33:29 +0200

## pygments 2.18.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -36,8 +36,7 @@
 Package: python3-pygments
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-pkg-resources,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
 Suggests: python-pygments-doc,
           ttf-bitstream-vera,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=pygments
export PYBUILD_TEST_ARGS=-v -k 'not test_chooses_correct_lexer_for_example_files and not test_guess_lexer_singularity and not test_guess_lexer_forth and not test_guess_lexer_modula2 and not test_guess_lexer_unicon and not test_guess_lexer_ezhil and not test_guess_lexer_gdscript and not test_guess_lexer_gap and not test_guess_lexer_easytrieve and not test_guess_lexer_jcl and not test_guess_lexer_rexx'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build Pygments.egg-info doc/_build
	find . -name "*\.py[co]" -delete

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR):$(CURDIR)/doc make -C doc html

override_dh_auto_install:
	dh_auto_install
	install -m 644 external/pygments.bashcomp debian/python3-pygments/usr/share/bash-completion/completions/pygmentize
	test -d debian/python-pygments-doc/usr/share/bash-completion && rm -rf debian/python-pygments-doc/usr/share/bash-completion

override_dh_installchangelogs:
	dh_installchangelogs -i CHANGES

override_dh_compress:
	dh_compress -i -X.py -X.inv

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/(beta|rc|a|b|c)/~$1/,\
repacksuffix=+dfsg \
https://pypi.debian.net/Pygments/[Pp]ygments-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pygments 2.19.2+dfsg

=== debian/changelog ===
pygments (2.19.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1117224).

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Dec 2025 14:34:45 +0000
